Ошибка установки. Неполная сборка в скачаном архиве.

Решаем проблемы установки на различные окружения и хостинги

Модератор: core team

fizikas
Новенький
Сообщения: 5
Зарегистрирован: Пн июл 30, 2018 10:44 am

Ошибка установки. Неполная сборка в скачаном архиве.

Сообщение fizikas » Пн июл 30, 2018 11:06 am

Здравствуйте. 28/07 скачал установочный архив с сайта. Ставил на OpenServer. При попытке запуска установки выдало ошбику:

Warning: require(C:\OpenServer\domains\apple\public/../vendor/yiisoft/yii/framework/yii.php): failed to open stream: No such file or directory in C:\OpenServer\domains\apple\public\index.php on line 30

Действительно в распакованном архиве папка vendor/yiisoft отсутствует. Тоесть сборка без фреймворка получилась. 29/07 повторил манипуляцию. С тем же результатом. В папке vendor присутствуют папки itmages, composer, cleverteach, imagine, 2amigos, ckeeditor, wikimedia.
Попробовал устанавливать через composer. В результате установки появилась неполная копия того, чтоб было в архиве. После перезапуска с подключением php7 в папку vendor докачало уже укзанные itmages, composer, cleverteach, imagine, 2amigos, ckeeditor, wikimedia и не более того. С дополнительными ругательствами:
Installing itmages/yii-eoauth (1.0.2): Cloning 702f8b8b0d
[RuntimeException]
Failed to clone https://github.com/itmages/yii-eoauth.git via https, ssh protocols, aborting.

- https://github.com/itmages/yii-eoauth.git
Cloning into 'C:\OpenServer\domains\apple\vendor\itmages\yii-eoauth'...
remote: Invalid username or password.
fatal: Authentication failed for 'https://github.com/itmages/yii-eoauth.git/'

- git@github.com:itmages/yii-eoauth.git
Cloning into 'C:\OpenServer\domains\apple\vendor\itmages\yii-eoauth'...
Host key verification failed.
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
по поводу установки пакета yii-eoauth.

Очень хотелось бы узнать где изгибнулись мои в общем то довольно прямые руки. Если с композером вполне мог начудить, то уж при установке с архива очень маловероятно. Спасибо.

Да, при попытке подбросить папку vendor из старого архива годичной давности установка таки запустилась с небольшими траблами по части фронтенда. Видимо где-то не подключился jquerry тут я уже не разбирался. Все таки хотелось бы устанавливать без бубна... Еще раз заранее спасибо за советы.

Аватара пользователя
sabian
Ниндзя
Сообщения: 351
Зарегистрирован: Ср фев 18, 2015 8:34 pm
Откуда: Воронежская область
Контактная информация:

Re: Ошибка установки. Неполная сборка в скачаном архиве.

Сообщение sabian » Пн июл 30, 2018 3:13 pm

Эту ошибку исправляли и должно по идее все нормально работать.
Попробуйте скачать архив с GitHub и выполнить команду

Код: Выделить всё

composer install

fizikas
Новенький
Сообщения: 5
Зарегистрирован: Пн июл 30, 2018 10:44 am

Re: Ошибка установки. Неполная сборка в скачаном архиве.

Сообщение fizikas » Пн июл 30, 2018 5:34 pm

Спасибо за подсказку. ПОсле клонирования и запуска композера возникают точно те же траблы.
Installing itmages/yii-eoauth (1.0.2): Cloning 702f8b8b0d
[RuntimeException]
Failed to clone https://github.com/itmages/yii-eoauth.git via https, ssh protocols, aborting.
этот проект поменял параметры на Gite и переименован. я его вручную клонировал. однако дальше дело все равно не продвигается. фрэймворк и остальное кроме вышеозвученых папок в vendor не попадает.

Если у кого есть рабочий архив - поделитесь плиз, пока разработчики разберутся с тем, что есть на сайте.
Буду благодарен если кто-то попробует установить с нуля композером или гитом и подтвердит - работает/не работает

Аватара пользователя
sabian
Ниндзя
Сообщения: 351
Зарегистрирован: Ср фев 18, 2015 8:34 pm
Откуда: Воронежская область
Контактная информация:

Re: Ошибка установки. Неполная сборка в скачаном архиве.

Сообщение sabian » Вт июл 31, 2018 8:12 pm

Попробуйте почистить кеш композера

Код: Выделить всё

composer clear-cache


Буду благодарен если кто-то попробует установить с нуля композером или гитом и подтвердит - работает/не работает

Обязательно проверим

fizikas
Новенький
Сообщения: 5
Зарегистрирован: Пн июл 30, 2018 10:44 am

Re: Ошибка установки. Неполная сборка в скачаном архиве.

Сообщение fizikas » Вт июл 31, 2018 8:55 pm

После composer clear-cache в консоли получил All caches cleared. Тоесть кэш успешно очищен.
Повторное composer install привело к старой ошибке:

Код: Выделить всё

$ composer install
> yupe\components\Composer::preInstall
Yupe install
Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
Warning: The lock file is not up to date with the latest changes in composer.json. You may be getting outdated dependencies. Run update to update them.
Package operations: 60 installs, 0 updates, 0 removals
  - Installing itmages/yii-eoauth (1.0.2): Downloading (failed)    Failed to download itmages/yii-eoauth from dist: The "https://api.github.com/repos/itmages/yii-eoauth/zipball/702f8b8b0d4128de1ead9f37b3ff700ef0ef75a9" file could not be downloaded (HTTP/1.1 404 Not Found)
    Now trying to download from source
  - Installing itmages/yii-eoauth (1.0.2): Cloning 702f8b8b0d


  [RuntimeException]
  Failed to clone https://github.com/itmages/yii-eoauth.git via https, ssh protocols, aborting.

  - https://github.com/itmages/yii-eoauth.git
    Cloning into 'C:\OpenServer\domains\apple\vendor\itmages\yii-eoauth'...
    remote: Invalid username or password.
    fatal: Authentication failed for 'https://github.com/itmages/yii-eoauth.git/'

  - git@github.com:itmages/yii-eoauth.git
    Cloning into 'C:\OpenServer\domains\apple\vendor\itmages\yii-eoauth'...
    Host key verification failed.
    fatal: Could not read from remote repository.

    Please make sure you have the correct access rights
    and the repository exists.


install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--] [<packages>]...

fizikas
Новенький
Сообщения: 5
Зарегистрирован: Пн июл 30, 2018 10:44 am

Re: Ошибка установки. Неполная сборка в скачаном архиве.

Сообщение fizikas » Вт июл 31, 2018 9:40 pm

после того как в composer.json и composer.lock были затерты все упоминания о itmages установка из композера успешно продолжается. в папку vendor расширения itmages подбросил со старого проекта. После этих манипуляций инсталяция сайта запускается. Видимых нарушений в работе сайта не наблюдается.
Мораль. Очевидно itmages поменял адрес на гитхабе, из-за этого не происходит дальнейшая загрузка. Аналогчино видимо не формируется архив. В нем как раз на itmages все обрывается...Полагаю авторам следует обновить composer.json и composer.lock с правильным адресом

Аватара пользователя
xoma
Администратор
Сообщения: 1971
Зарегистрирован: Ср авг 22, 2012 8:54 am
Контактная информация:

Re: Ошибка установки. Неполная сборка в скачаном архиве.

Сообщение xoma » Ср авг 01, 2018 10:48 am

fizikas писал(а):после того как в composer.json и composer.lock были затерты все упоминания о itmages установка из композера успешно продолжается. в папку vendor расширения itmages подбросил со старого проекта. После этих манипуляций инсталяция сайта запускается. Видимых нарушений в работе сайта не наблюдается.
Мораль. Очевидно itmages поменял адрес на гитхабе, из-за этого не происходит дальнейшая загрузка. Аналогчино видимо не формируется архив. В нем как раз на itmages все обрывается...Полагаю авторам следует обновить composer.json и composer.lock с правильным адресом


Спасибо, что поделились рецептом =)

Но у нас уже нет этой зависимости https://github.com/yupe/yupe/blob/dev/composer.json
отследить-посылку.рф - дружит с "Юпи!", следит за посылками!

fizikas
Новенький
Сообщения: 5
Зарегистрирован: Пн июл 30, 2018 10:44 am

Re: Ошибка установки. Неполная сборка в скачаном архиве.

Сообщение fizikas » Ср авг 01, 2018 8:40 pm

Это хорошо. Однако не все могут загрузить композером. Если качать архивом - он по прежнему "неполноценный". Или у вас по принцыпу достойный пройдет? Научился юзать композер - достоен пользоваться yupe :)
Исправьте плиз и архив


Вернуться в «Установка и настройка»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость